/*
 * Copyright (c) 2014 - 2020 Honda Research Institute Japan Co., Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 * 
 * Licensed under the HARK license, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * https://www.hark.jp/notice/HARK_License_Agreement.pdf
 */

/*
 This header is for replacing debug print methods.
 If you have special functions for logging, e.g., Eclipse,
 Replace these macros with your functions.
 */

#ifndef __LIBHARKIO3_MACROS__
#define __LIBHARKIO3_MACROS__
#define LIBHARKIO_LOGT(...) (fprintf(stderr, __VA_ARGS__))
#define LIBHARKIO_LOGD(...) (fprintf(stderr, __VA_ARGS__))
#define LIBHARKIO_LOGI(...) (fprintf(stderr, __VA_ARGS__))
#define LIBHARKIO_LOGW(...) (fprintf(stderr, __VA_ARGS__))
#define LIBHARKIO_LOGE(...) (fprintf(stderr, __VA_ARGS__))
#define LIBHARKIO_LOGVT(...) (vfprintf(stderr, __VA_ARGS__))
#define LIBHARKIO_LOGVD(...) (vfprintf(stderr, __VA_ARGS__))
#define LIBHARKIO_LOGVI(...) (vfprintf(stderr, __VA_ARGS__))
#define LIBHARKIO_LOGVW(...) (vfprintf(stderr, __VA_ARGS__))
#define LIBHARKIO_LOGVE(...) (vfprintf(stderr, __VA_ARGS__))
#endif
